Returns device reputation information of a visitor.
curl --request GET \
--url https://drn-api.fpjs.io/drn/{visitorId} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Version: <x-api-version>'import requests
url = "https://drn-api.fpjs.io/drn/{visitorId}"
headers = {
"X-API-Version": "<x-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Version': '<x-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://drn-api.fpjs.io/drn/{visitorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"regionalActivity": {
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"countries": [
{
"code": "<string>",
"detectors": [
{
"activityPercentage": 123
}
]
}
]
},
"suspectScore": {
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"minimum": {
"value": 123,
"signals": {
"vpn": {
"timezoneMismatch": 123,
"publicVPN": 123,
"auxiliaryMobile": 123
},
"ipBLocklist": {
"emailSpam": 123,
"attackSource": 123
},
"tor": 123,
"proxy": 123,
"emulator": 123,
"tampering": 123,
"clonedApp": 123,
"frida": 123,
"highActivity": 123
}
},
"maximum": {
"value": 123,
"percentile": 123,
"signals": {
"vpn": {
"timezoneMismatch": 123,
"publicVPN": 123,
"auxiliaryMobile": 123
},
"ipBLocklist": {
"emailSpam": 123,
"attackSource": 123
},
"tor": 123,
"proxy": 123,
"emulator": 123,
"tampering": 123,
"clonedApp": 123,
"frida": 123,
"highActivity": 123
}
}
},
"timestamps": {
"firstSeentAt": "2023-12-25",
"lastSeenAt": "2023-12-25"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}/drn/{visitor_id}
Get device reputation signals
Returns device reputation information of a visitor.
GET
/
drn
/
{visitorId}
Returns device reputation information of a visitor.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The API version to use.
Path Parameters
The visitor id to get information on.
Pattern:
^[a-zA-Z0-9]{20}$Query Parameters
The information signals to retrieve.
Available options:
regional_activity, suspect_score, timestamps Response
A JSON object representing reputation information related to requested signals.
Object containing properties of the signals requested
Show child attributes
Show child attributes
Was this page helpful?
⌘I